curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "edit-video",
"input": {
"model": "runway-gen4",
"prompt": "Add cinematic color grading",
"video_url": "https://example.com/my-video.mp4"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "edit-video",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Edit videos with AI using text prompts.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "edit-video",
"input": {
"model": "runway-gen4",
"prompt": "Add cinematic color grading",
"video_url": "https://example.com/my-video.mp4"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "edit-video",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 6 credits per second |
| Tool | edit-video |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | edit-video |
input.model | string | Yes | runway-gen4 |
input.prompt | string | Yes | Description of the edit to apply |
input.video_url | string | Yes | URL of the video to edit |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "edit-video",
"input": {
"model": "runway-gen4",
"prompt": "Add cinematic color grading",
"video_url": "https://example.com/my-video.mp4"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "edit-video",
"createdAt": "2024-01-15T10:30:00.000Z"
}